# GPUStack UI

UI for [GPUStack](https://github.com/gpustack/gpustack).

## Installation

1. [Nodejs](https://nodejs.org/en) 16.0+(with NPM)

If you're on Mac

```
brew install node
```

2. [pnpm](https://pnpm.io/installation#using-npm)

```
npm install -g pnpm
```

3. Setup

```
git clone https://github.com/gpustack/gpustack-ui/
```

4. Install dependencies

```
cd gpustack-ui
pnpm install
```

## Usage

1. Run development server (at http://localhost:9000)

```
npm run dev
```

2. build release

```
npm run build
```

## Bugs & Issues

- Please submit [bugs and issues](https://github.com/gpustack/gpustack/issues) with a label `ui`

## Links

- Official website: https://gpustack.ai/
- Documents: https://docs.gpustack.ai/latest/overview/
